#pragma once


/*!
	中断管理クラス
*/
class CInterruptEvents
{
public:
	//!	中断を確認
	virtual int IsInterrupt() = 0;

	//!	中断原因を取得
	virtual CString GetInterruptInfo() = 0;

	//!	中断を待機
	virtual int WaitInterrupt(int timeout) = 0;

	//!	中断処理イベントをすべて取得
	virtual void GetAllInterruptEvents(CArray<HANDLE> &events) = 0;
};


